QGIS Application - Bug report #20624
remove redundant CRSs
2018-11-25 08:50 PM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 28444
Description

New CRSs for South Africa appeared in QGIS 3.

So-called EPSG:120480-102489 and EPSG:102562-102568 are not even in the EPSG registry, so where did they come from and why
are they assigned EPSG authority?

They are completely unnecessary and redundant as 120480-102489 are already covered by the official EPSG:2046-2055 CRSs and
102562-102568 are already covered by the QGIS 'ZANGI' CRSs.

If they were added to QGIS, please remove them. Else if they come from proj.4, please indicate that so we can raise an issue with proj.

History

#1 - 2018-11-26 08:47 AM - Jiirgen Fischer

IDs above 100000 used to be user-defined in QGIS. But GDAL also uses them above CRSes come from
https://github.com/OSGeo/gdal/blob/master/gdal/data/esri_extra.wkt. QGIS doesn't originally have them, but crssync adds them on install from GDAL (I

guess also in 2.18).

#2 - 2018-11-26 08:51 AM - Giovanni Manghi
- Operating System deleted (MacOS)

102*** are usually CRSs from ESRI

http://spatialreference.org/ref/esri/?page=3

but | can't find this ones listed as part of their list.

#3 - 2019-05-24 08:00 AM - Nyall Dawson
- Resolution set to up/downstream
- Status changed from Open to Closed

With QGIS 3.8 and the release of proj 6 library, any remaining projection definition related issues now should be filed with the proj project.

2025-04-26 1/1



https://github.com/OSGeo/gdal/blob/master/gdal/data/esri_extra.wkt
http://spatialreference.org/ref/esri/?page=3

